Bug 164902 - tar --newer is too verbose and lacks option to shut up
tar --newer is too verbose and lacks option to shut up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 10:04 EDT by Robert K. Moniot
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 10:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert K. Moniot 2005-08-02 10:04:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
This behavior is new with the tar shipped with FC4.  It was not in the FC3 tar.  When tar is run with the --newer=DATE or --newer-mtime=DATE option, it spews a line like this for every file not stored to the archive:
tar: ./foo.bar: file is unchanged; not dumped

This causes our incremental backup cron jobs to be very verbose, possibly concealing messages that could be important.  I have searched the tar documentation and have not found any option that allows the user to suppress these informational messages.  There should be such an option, or perhaps the --newer option should by default not print these messages, allowing --verbose to be used to cause them to be printed.  The latter solution has the drawback that a user might want to see the listing of undumped files but not the dumped files, which is normally produced by --verbose.
(Our incremental backups use --newer-mtime rather than --listed-incremental, so that we can use --atime-preserve.) 

Version-Release number of selected component (if applicable):
tar-1.15.1-7.FC4

How reproducible:
Always

Steps to Reproduce:
1.Go to a directory in which files have not been changed in at least a day
2.Give command:  "tar -cf FILE --newer=TODAY ."  (where TODAY = e.g. 20050802)
3.
  

Actual Results:  tar prints list of files not dumped

Expected Results:  There should be an option to prevent list of files not dumped from being printed, or if there is such an option the documentation should be improved so that said option can be found by someone who is looking for it.

Additional info:
Comment 1 Jack Tanner 2005-08-18 11:57:28 EDT
Is this fix upstream? What exactly is the new behavior with regard to the
--newer output? Does it interact with --verbose? Can we expect the new behavior
to be stable for a while?
Comment 2 Robert K. Moniot 2005-08-18 16:17:13 EDT
(In reply to comment #1)
> Is this fix upstream? What exactly is the new behavior with regard to the
> --newer output? Does it interact with --verbose? Can we expect the new behavior
> to be stable for a while?

We recently upgraded to tar-1.15.1-8.FC4 from tar-1.15.1-7.FC4 and the behavior
is now different: the excess output is present only with the --verbose option. 
If verbose output is not specified, tar is silent about files not dumped.  So
the problem I reported is fixed.

The present behavior of tar is reasonable.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.